// Defines constantes

#define XDC_ZONE			30.f
#define XDC_WID_TOP			1L				// Identifiant vue de dessus
#define XDC_WID_FACE		2L				// Identifiant vue de face
#define XDC_WID_SIDE		3L				// Identifiant vue de droite

#define	XDC_NUMPT			50000  		   // Nombre maxi de sommets
#define	XDC_NUMEDGE			50000  		   // Nombre maxi d'artes hors triangles
#define XDC_NUMTRI			20000  			// Nombre maxi de triangles
#define XDC_NUMLAMP			100				// Nombre maxi de lampes
#define XDC_NUMOBJECTS		500				// Nombre maxi d'objets
#define XDC_NUMMTRL         200             // Nombre maxi de matriaux

#define XDC_GID_AddPoint	0				// Id gadget ajouter point
#define XDC_GID_Center		1				// Id gadget Centrer vue
#define XDC_GID_GoDown		2				// Id gadget descendre
#define XDC_GID_GoLeft		3				// Id gadget aller  gauche	
#define XDC_GID_GoUp		4				// Id gadget monter
#define XDC_GID_GoRight		5				// Id gadget aller  droite
#define XDC_GID_Grab		6				// Id gadget activer pince
#define XDC_GID_MakeTri		7				// Id gadget crer triangle
#define XDC_GID_Reverse		8				// Id gadget ???
#define XDC_GID_RotAnti		9				// Id gadget Rotation anti clockwise
#define XDC_GID_RotClock	10				// Id gadget rotation clockwise
#define XDC_GID_ZoomIn		11				// Id gadget zoom en avant
#define XDC_GID_ZoomOut		12				// Id gadget zoom arrire

// Couleurs satures
#define XDC_COL_WHITE		0x00FFFFFF		// blanc
#define XDC_COL_RED			0x000000FF		// rouge
#define XDC_COL_GREEN		0x0000FF00		// vert
#define XDC_COL_BLUE		0x00FF0000		// bleu
#define XDC_COL_YELLOW		0x0000FFFF		// jaune
#define XDC_COL_CYAN		0x00FFFF00		// cyan
#define XDC_COL_PINK		0x00FF00FF		// rose
#define XDC_COL_BLACK		0x00000000		// noir
// Couleurs demi-satures
#define XDC_COL_GREY		0x00808080		// gris
#define XDC_COL_DKRED		0x00000080		// rouge
#define XDC_COL_DKGREEN		0x00008000		// vert
#define XDC_COL_DKBLUE		0x00800000		// bleu
#define XDC_COL_DKYELLOW	0x00008080		// jaune
#define XDC_COL_DKCYAN		0x00808000		// cyan
#define XDC_COL_DKPINK		0x00800080		// rose
// Autres couleurs
#define XDC_COL_DKBLUESK	0x00543025		// bleu fonc
#define XDC_COL_LTBLUESK	0x00836034		// bleu clair
#define XDC_COL_GRID		0x00b0b000		// pour la grille : cyan fonc

#define XDC_G_LARG			16				// Largeur bitmaps gadgets Sculpt3D
#define XDC_G_HAUT			9				// Hauteur bitmaps gadgets

#define	XDC_MODE_COMPLET	TRUE			// Tout redessiner
#define XDC_MODE_PARTIEL	FALSE			// Seulement rafraichir

#define XDC_S_Title3D		"Vue perspective 3D "

#define	XDC_ALLOWSAME		TRUE			// Pour autoriser le recyclage de points
#define XDC_FORCENEW		FALSE			// Pour forcer la cration de nouveaux points

#define XDC_TOOL_NONE		'N'
#define XDC_TOOL_SELECT		'S'
#define XDC_TOOL_UNSELECT	'U'
#define XDC_TOOL_MAGNET		'M'
#define XDC_TOOL_CURVE		'C'
#define XDC_TOOL_EXTRUDE	'X'
#define XDC_TOOL_EDGE		'E'
#define XDC_TOOL_GRAB		'G'

#define XDC_SINGLETOGGLE	1				// Mode toggle slection un point unique
#define XDC_SELECTALL		2				// Mode slection tous points dans zone
#define XDC_DESELECTALL		3				// Mode dslection tous points dans zone

#define XDC_MODE_CLONE		FALSE			// Mode extrusion : clonage seulement
#define	XDC_MODE_EXTRUDE	TRUE			// Mode extrusion : clonage & extrusion

#define XDC_MAX_HOLES		50				// Nombre max. de trous dans une forme  remplir
