// Variables globales
extern HINSTANCE hInst;
extern LPDIRECTDRAW7 lpDD;
extern LPDIRECT3D7 lpD3D;
extern LPDIRECTDRAWSURFACE7 lpddsRender;
extern LPDIRECTDRAWSURFACE7 lpddsBackBuffer;
extern LPDIRECTDRAWSURFACE7	g_pddsZBuffer;
extern LPDIRECT3DDEVICE7 lpd3dDevice;
extern RECT sRectangle;
extern DDSURFACEDESC2 ddsd;
extern GUID gDeviceGUID;

extern BOOL bGrid;

extern float fGridSize;

extern BOOL bActive;
extern BOOL bReady;

extern D3DVECTOR Cursor1, Cursor2, Cursor3;
extern D3DVECTOR Observer, Target;
extern D3DVECTOR vTracker;

extern D3DMATRIX matView, matWorld, matProj; // Matrices du pipe D3D

extern float	fXmin, fXmax, fYmin, fYmax, fZmin, fZmax;

extern SkulptGadget	  gAddPoint, gCenter, gGoDown, gGoLeft, gGoUp, gGoRight, gGrab, gMakeTri, gReverse, gRotAnti, gRotClock, gZoomIn, gZoomOut;

extern HWND	hWndPersp, hWndTop, hWndFace, hWndRight, hWndMenu, hWndTrace;

extern gSommet Vertices[XDC_NUMPT];
extern gEdge	Edges[XDC_NUMEDGE];
extern gTri	Triangles[XDC_NUMTRI];
extern gLamp	Lampes[XDC_NUMLAMP];
extern gObject	Objects[XDC_NUMOBJECTS];
extern gMtrl    Materials[XDC_NUMMTRL];

extern D3DCOLOR cAmbient, cBack;

extern DWORD dFillMode;
extern DWORD dZBuf;
extern BOOL  bAlpha;
extern BOOL  bSpecular;
extern DWORD dCull;
extern BOOL bAntialias;

extern BOOL bCoords;

extern int iVertLastUsed, iVertFirstAvailable;
extern int iEdgeLastUsed, iEdgeFirstAvailable;
extern int iTriaLastUsed, iTriaFirstAvailable;
extern int iLampLastUsed, iLampFirstAvailable;
extern int iObjtLastUsed, iObjtFirstAvailable;
extern int iMtrlLastUsed, iMtrlFirstAvailable;

extern char cTool;

extern char *sLogo, *sMenu, *sPersp, *sPlanar;

extern D3DEnum_DeviceInfo *m_pDeviceInfo;

extern char cTitle[255], cString[255];

extern long lWActive;

extern int iHoles;
extern HWND hHoleDlgActive;
extern double dHoles[XDC_MAX_HOLES * 2];
extern SMALLBOOL bFillAndRemoveEdges;

extern BOOL bTracking;

#ifdef _AMIGA_
extern struct Library *GadToolsBase;
extern struct Library *UtilityBase;
extern struct Library *AslBase;
extern struct Library *AmigaGuideBase;
extern struct Library *DataTypesBase;
extern struct Library *IconBase;
extern struct Library *CyberGfxBase;
extern W3D_Context *hW3DContext;
extern W3D_Scissor sScissor;
extern ULONG l2DWinSigMask;
extern SMALLBOOL bConsoleOpened;
#ifndef __PPC__
extern struct Library *Warp3DBase;
#else
extern struct Library *Warp3DPPCBase;
#endif
extern struct Task    *hApp;
#endif
